summaryrefslogtreecommitdiffstats
path: root/development/cim
diff options
context:
space:
mode:
author Andre Barboza <bmg.andre@gmail.com>2010-05-13 00:57:50 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-13 00:57:50 +0200
commit199a752bf47a887883f4afb5a896da638e7516f1 (patch)
tree4d1fc68cd91fd14d55f05bba7c09c5b943d7929b /development/cim
parent346285c81591bc7e65db5177f856a2f92381e375 (diff)
downloadslackbuilds-199a752bf47a887883f4afb5a896da638e7516f1.tar.gz
slackbuilds-199a752bf47a887883f4afb5a896da638e7516f1.tar.xz
development/cim: Added to 13.0 repository
Diffstat (limited to 'development/cim')
-rw-r--r--development/cim/README12
-rw-r--r--development/cim/cim.SlackBuild98
-rw-r--r--development/cim/cim.info10
-rw-r--r--development/cim/slack-desc19
4 files changed, 139 insertions, 0 deletions
diff --git a/development/cim/README b/development/cim/README
new file mode 100644
index 0000000000..9d1e48ac75
--- /dev/null
+++ b/development/cim/README
@@ -0,0 +1,12 @@
+GNU Cim is a compiler for the programming language Simula (except
+unspecified parameters to formal or virtual procedures (see the
+documentation for how portable code for formal procedures can be
+written)). It offers a class concept, separate compilation with full
+type checking, interface to external C routines, an application
+package for process simulation and a coroutine concept.
+
+The portability of the GNU Simula Compiler is based on the C
+programming language. The compiler and the run-time system is written
+in C, and the compiler produces C code, that is passed to a C compiler
+for further processing towards machine code.
+
diff --git a/development/cim/cim.SlackBuild b/development/cim/cim.SlackBuild
new file mode 100644
index 0000000000..0a38bf7e54
--- /dev/null
+++ b/development/cim/cim.SlackBuild
@@ -0,0 +1,98 @@
+#!/bin/sh
+
+# Slackware build script for GNU Cim
+
+# Written by Andre Barboza <bmg.andre@gmail.com>
+
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=cim
+VERSION=${VERSION:-3.37}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+rm -f $PKG/usr/info/dir
+gzip -9 $PKG/usr/info/*.info*
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ABOUT-NLS AUTHORS COPYING INSTALL NEWS README TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+
diff --git a/development/cim/cim.info b/development/cim/cim.info
new file mode 100644
index 0000000000..7d2d40da4e
--- /dev/null
+++ b/development/cim/cim.info
@@ -0,0 +1,10 @@
+PRGNAM="cim"
+VERSION="3.37"
+HOMEPAGE="http://savannah.gnu.org/projects/cim"
+DOWNLOAD="ftp://ftp.ifi.uio.no/pub/cim/cim-3.37.tar.gz"
+MD5SUM="b51068ab30f54aefeb86fc4a6289cc77"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Andre Barboza"
+EMAIL="bmg.andre@gmail.com"
+APPROVED="dsomero"
diff --git a/development/cim/slack-desc b/development/cim/slack-desc
new file mode 100644
index 0000000000..6c51fbd4d0
--- /dev/null
+++ b/development/cim/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+cim: CIM (GNU Simula compiler)
+cim:
+cim: GNU Cim is a compiler for the programming language Simula (except
+cim: unspecified parameters to formal or virtual procedures (see the
+cim: documentation for how portable code for formal procedures can be
+cim: written)). It offers a class concept, separate compilation with full
+cim: type checking, interface to external C routines, an application
+cim: package for process simulation and a coroutine concept.
+cim:
+cim:
+cim: